Cyberduck Mountain Duck CLI

#8930 closed defect (fixed)

Crashes determining transfer type

Reported by: IFLA Owned by:
Priority: high Milestone: 4.7.2
Component: core Version: 4.7.1
Severity: critical Keywords:
Cc: Architecture:
Platform: Windows XP

Description (last modified by dkocher)

4.6 worked fine, 4.7 crashed on start up, 4.7.1 starts up but crashes when I try to do anything. I can't find any tickets like this nor any suggested solutions .... What do you suggest ...?

19	Top-level Exception
20	Type:        java.lang.IllegalArgumentException
21	Message:     No enum constant ch.cyberduck.core.Host.TransferType.Use browser connection
22	Source:      IKVM.OpenJDK.Core
23	Stack Trace: at java.lang.Enum.valueOf(Class enumType, String name)
24	   at ch.cyberduck.core.Host.TransferType.valueOf(String name)
25	   at Ch.Cyberduck.Ui.Controller.PreferencesController.Init()
26	   at Ch.Cyberduck.Ui.Controller.PreferencesController..ctor(IPreferencesView view)
27	   at Ch.Cyberduck.Ui.Controller.PreferencesController.get_Instance()
28	   at Ch.Cyberduck.Ui.Controller.BrowserController.View_ShowPreferences()
29	   at Ch.Cyberduck.Ui.Winforms.BrowserForm.<ConfigureEditCommands>b__bc(Object o, EventArgs eventArgs)
30	   at System.Windows.Forms.MenuItem.OnClick(EventArgs e)
31	   at System.Windows.Forms.MenuItem.MenuItemData.Execute()
32	   at System.Windows.Forms.Command.Invoke()
33	   at System.Windows.Forms.Command.DispatchID(Int32 id)
34	   at System.Windows.Forms.Control.WmCommand(Message& m)
35	   at System.Windows.Forms.Control.WndProc(Message& m)
36	   at System.Windows.Forms.ScrollableControl.WndProc(Message& m)
37	   at System.Windows.Forms.Form.WndProc(Message& m)
38	   at System.Windows.Forms.Control.ControlNativeWindow.OnMessage(Message& m)
39	   at System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
40	   at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)

Attachments (2)

cyberduck.log (658.4 KB) - added by IFLA on Jul 16, 2015 at 12:13:01 AM.
635726369572343750.txt (3.6 KB) - added by IFLA on Jul 16, 2015 at 12:13:19 AM.

Download all attachments as: .zip

Change History (8)

Changed on Jul 16, 2015 at 12:13:01 AM by IFLA

comment:1 Changed on Jul 16, 2015 at 8:30:28 AM by dkocher

  • Description modified (diff)
  • Milestone set to 4.8

comment:2 Changed on Jul 16, 2015 at 8:31:19 AM by dkocher

  • Summary changed from 4.7.1 Crashes after start up - upload, download, access menu ... to Crashes determining transfer type

comment:3 Changed on Jul 30, 2015 at 9:28:34 AM by yla

  • Resolution set to fixed
  • Status changed from new to closed

You have an invalid entry in your user.config due to a bug in a previous version. Quit Cyberduck and remove the entry

<setting name="queue.transfer.type" value="Use browser connection" />

comment:4 Changed on Jul 31, 2015 at 11:49:32 AM by dkocher

  • Milestone changed from 4.8 to 4.7.2

comment:5 Changed on Nov 3, 2015 at 11:39:07 AM by dkocher

#9090 closed as duplicate.

comment:6 Changed on Nov 3, 2015 at 1:01:59 PM by cavax

I still have the problem and I have no user.config file

Note: See TracTickets for help on using tickets.
swiss made software